<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.CooperateProjectMapper">
  <resultMap id="BaseResultMap" type="com.ssm.manage.entity.CooperateProject">
    <result property="id" column="id" jdbcType="BIGINT"/>
    <result property="projectNum" column="project_num" jdbcType="VARCHAR"/>
    <result property="projectName" column="project_name" jdbcType="VARCHAR"/>
    <result property="projectId" column="project_id" jdbcType="BIGINT"/>
    <result property="cooperateNum" column="cooperate_num" jdbcType="VARCHAR"/>
    <result property="cooperateName" column="cooperate_name" jdbcType="VARCHAR"/>
    <result property="cooperateId" column="cooperate_id" jdbcType="BIGINT"/>
    <result property="type" column="type" jdbcType="INTEGER"/>
    <result property="projectMoney" column="project_money" jdbcType="DECIMAL"/>
    <result property="projectNumber" column="project_number" jdbcType="INTEGER"/>
    <result property="brokerage" column="brokerage" jdbcType="DECIMAL"/>
    <result property="isCourse" column="is_course" jdbcType="INTEGER"/>
    <result property="storeId" column="store_id" jdbcType="BIGINT"/>
  </resultMap>
    <select id="selectByCooperateIds" resultMap="BaseResultMap">
      select * from cooperate_project where <foreach collection="ids" item="item" separator="," open="(" close=")">
      #{item}
    </foreach>
    </select>

</mapper>